Subject: Re: [bug#77653] [PATCH 2/4] gnu: Add wasm32-wasi-clang-runtime.

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 25 Apr 2025 17:09:42 +0900

Hi,

Ian Eure <[email-masked]> writes:

[...]

> +(define-public wasm32-wasi-clang-runtime
> +  (package (inherit clang-runtime-16)

I forgot the most important bit: inheritance cannot happen between
different modules, as it uses direct (non-delayed nor thunked)
references to the package objects and would introduce module circular
dependencies, which are surprising and not fun to hunt down.  See (info
"(guix) Cyclic Module Dependencies") for the explanation/guidelines.

-- 
Thanks,
Maxim